Skip to content

Hunyuan Image V3

Leverage the state-of-the-art capabilities of Hunyuan Image 3.0 to generate visual content that effectively conveys the messaging of your written material.

API Endpoint

POST `https://image.siraya.pro/v1/images/generations``

Request Parameters

Parameter Type Required Description
Authorization string Yes Your API Key (e.g., Bearer <API_KEY>).

Body

Parameter Type Default Description
model string - The model ID: Header.
prompt string - A text description for the output.
n integer 1 Number of outputs to generate.
output_format string url Result format (url or b64_json).

Usage Examples

curl https://image.siraya.pro/v1/images/generations` \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{...}'
import requests

url = "https://image.siraya.pro/v1/images/generations`"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {...}

response = requests.post(url, headers=headers, json=data)
print(response.json())